=== python/samples/recollgui/Makefile ===
all: rclmain.py

rclmain.py: rclmain.ui
	pyuic4 -o rclmain.py rclmain.ui

clean:
	rm -f rclmain.py rclmain.pyc
