=== debian/changelog ===
recoll (1.21.5-1) unstable; urgency=medium

  * Acknowledge NMUs. Thanks!
  * New upstream release.
  * debian/control:
    + Vcs-* URL to use https:// instead of git://
  * Set debian/compat to 9.
  * Removed debian/recoll.menu file.

 -- Kartik Mistry <kartik@debian.org>  Sat, 30 Jan 2016 19:41:54 +0530

recoll (1.21.0-1.2) unstable; urgency=medium

  * Non-maintainer upload with the maintainer's approval.
  * Switch to Qt 5 (Closes: #784523).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 27 Jan 2016 11:35:47 -0300

recoll (1.21.0-1.1) unstable; urgency=medium

  * Non-maintainer upload (agreed by maintainer). (Closes: #809478)
  * Add support for building for all supported python3 versions (this is a
    better solution than the one proposed in #793636
    - Change python3-dev build-dep back to python3-all-dev
    - Add loop over supported python3 versions to install rule

 -- Scott Kitterman <scott@kitterman.com>  Tue, 12 Jan 2016 20:39:01 -0500
