=== debian/changelog ===
recoll (1.22.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Updated Standards-Version to 3.9.8
    + Updated Vcs-* URLs.
    + Depends on python.
  * debian/copyright:
    + Removed and updated sections for new upstream release.
  * debian/rules:
    + Removed .la files.
    + Removed empty dbg packages.
    + Fix executable scripts.
  * Override 'python-script-but-no-python-dep' Lintian as they are not used
    directly.
  * Removed debian/patches/fix-python-install.patch, merged upstream.

 -- Kartik Mistry <kartik@debian.org>  Mon, 04 Jul 2016 12:38:41 +0530
