## recoll 1.22.4

=== doc/user/Makefile ===
--- 
+++ 
@@ -17,11 +17,16 @@
   --stringparam generate.toc "book toc,title,figure,table,example,equation"
 
 
-all: usermanual.html index.html usermanual.pdf
+# index.html chunk format target replaced by nicer webhelp (needs separate
+# make) in webhelp/ subdir
+all: usermanual.html usermanual.pdf webh
 
+webh:
+	make -C webhelp
+        
 usermanual.html: usermanual.xml
-	xsltproc ${commonoptions} \
-            -o tmpfile.html "${XSLDIR}/html/docbook.xsl" usermanual.xml
+	xsltproc --xinclude ${commonoptions} \
+            -o tmpfile.html "${XSLDIR}/html/docbook.xsl" $<
 	-tidy -indent tmpfile.html > usermanual.html
 	rm -f tmpfile.html
 
@@ -29,10 +34,10 @@
 	xsltproc ${commonoptions} \
             --stringparam use.id.as.filename 1 \
             --stringparam root.filename index \
-            "${XSLDIR}/html/chunk.xsl" usermanual.xml
+            "${XSLDIR}/html/chunk.xsl" $<
 
 usermanual.pdf: usermanual.xml
-	dblatex usermanual.xml 
+	dblatex $<
 
 clean:
 	rm -f RCL.*.html usermanual.pdf usermanual.html index.html tmpfile.html
