=== debian/changelog ===
recoll (1.22.4-1) unstable; urgency=low

  * New upstream release.

 -- Kartik Mistry <kartik@debian.org>  Fri, 09 Dec 2016 18:48:48 +0530
