=== debian/control ===
--- 
+++ 
@@ -15,15 +15,15 @@
                python3-all-dev,
                qtbase5-dev
 X-Python-Version: >= 2.7
-Vcs-Git: https://anonscm.debian.org/collab-maint/recoll.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/recoll.git;a=summary
+Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/recoll.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/recoll.git
 Homepage: http://www.lesbonscomptes.com/recoll
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 
 Package: recoll
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: aspell, python, xdg-utils, xsltproc
+Depends: python, ${misc:Depends}, ${shlibs:Depends}
+Recommends: aspell, xdg-utils, xsltproc
 Suggests: antiword,
           catdoc,
           ghostscript,
