=== debian/rules ===
--- 
+++ 
@@ -56,6 +56,11 @@
 	# Work around recollinstall forgetting the PPT text-extract utility
 	install -m 0444 filters/msodump.zip $(CURDIR)/debian/tmp/usr/share/recoll/filters
 	install -m 0555 filters/ppt-dump.py $(CURDIR)/debian/tmp/usr/share/recoll/filters
+	# Executable fixes
+	chmod +x $(CURDIR)/debian/tmp/usr/share/recoll/examples/rclmon.sh
+	chmod -x $(CURDIR)/debian/tmp/usr/share/recoll/filters/rclexec1.py
+	chmod -x $(CURDIR)/debian/tmp/usr/share/recoll/filters/rclxslt.py
+	find $(CURDIR) -type f -name '*.la' -exec rm -f '{}' \;
 	(cd python/recoll; python setup.py install \
 	                                   --install-layout=deb \
 	                                   --prefix=$(CURDIR)/debian/tmp/usr )
@@ -76,7 +81,7 @@
 	dh_python2 -p python-recoll
 	dh_python3 -p python3-recoll
 	dh_link
-	dh_strip
+	dh_strip --no-automatic-dbgsym
 	dh_compress
 	dh_fixperms
 	dh_lintian
