## recoll 1.23.2

=== doc/user/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 # index.html chunk format target replaced by nicer webhelp (needs separate
 # make) in webhelp/ subdir
-all: usermanual.html usermanual.pdf webh
+all: usermanual.html webh usermanual.pdf
 
 webh:
 	make -C webhelp
@@ -39,5 +39,11 @@
 usermanual.pdf: usermanual.xml
 	dblatex $<
 
+UTILBUILDS=/home/dockes/projets/builds/medocutils/
+recoll-conf-xml:
+	$(UTILBUILDS)/confxml --docbook \
+        --idprefix=RCL.INSTALL.CONFIG.RECOLLCONF  \
+        ../../sampleconf/recoll.conf  > recoll.conf.xml
+
 clean:
 	rm -f RCL.*.html usermanual.pdf usermanual.html index.html tmpfile.html
