=== debian/changelog ===
recoll (1.23.2-1build1) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 04 Aug 2017 17:00:21 +1200

recoll (1.23.2-1) unstable; urgency=low

  * New upstream release:
    + Index new Libreoffice file formats (Closes: #856605)
  * Removed unused lintian override.

 -- Kartik Mistry <kartik@debian.org>  Wed, 17 May 2017 21:13:39 +0530
