=== kde/kioslave/kio_recoll/CMakeLists.txt ===
--- 
+++ 
@@ -83,6 +83,7 @@
 recoll 
 xapian 
 KF5::KIOCore
+dl
 z 
 pthread
 )
