=== debian/changelog ===
recoll (1.23.7-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Changed Vcs-* to salsa.debian.org
    + Updated Standards-Version to 4.1.3
    + Removed autotools-dev from Build-Deps.
    + Removed catdoc from Suggests. Not needed for recoll > 1.1.19.
    + Added python3 as a dependency.
    + Add packages to Suggests (Closes: #831812, #869809)
  * Bumped dh compat to 11.
  * Use https URL in debian/watch URL.
  * recoll.lintian-overrides:
    + Removed unused lintian overrides.
    + Added override: package-has-unnecessary-activation-of-ldconfig-trigger.
  * debian/rules:
    + Don't set CFLAGS and others.

 -- Kartik Mistry <kartik@debian.org>  Fri, 12 Jan 2018 22:04:24 +0530

recoll (1.23.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Updated Standards-Version to 4.1.1

 -- Kartik Mistry <kartik@debian.org>  Fri, 13 Oct 2017 13:41:54 +0530
