=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Section: x11
 Priority: optional
 Maintainer: Kartik Mistry <kartik@debian.org>
-Build-Depends: autotools-dev,
-               bison,
-               debhelper (>= 9),
+Build-Depends: bison,
+               debhelper (>= 11),
                dh-python,
                dpkg-dev (>= 1.16.1~),
                libqt5webkit5-dev,
@@ -15,25 +14,32 @@
                python3-all-dev,
                qtbase5-dev
 X-Python-Version: >= 2.7
-Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/recoll.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/recoll.git
+Vcs-Git: https://salsa.debian.org/debian/recoll.git
+Vcs-Browser: https://salsa.debian.org/debian/recoll
 Homepage: http://www.lesbonscomptes.com/recoll
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 
 Package: recoll
 Architecture: any
-Depends: python, ${misc:Depends}, ${shlibs:Depends}
+Depends: python, python3, ${misc:Depends}, ${shlibs:Depends}
 Recommends: aspell, xdg-utils, xsltproc
 Suggests: antiword,
-          catdoc,
           ghostscript,
+          groff,
           libimage-exiftool-perl,
+          libinotifytools0,
           poppler-utils,
           pstotext,
           python-chm,
+          python-libxml2,
+          python-libxslt1,
+          python-lzma,
+          python-mido,
           python-mutagen,
+          python-rarfile,
           unrtf,
-          untex
+          untex,
+          wv
 Description: Personal full text search package with a Qt GUI
  This package is a personal full text search package is based on a very strong
  backend (Xapian), for which it provides an easy to use and feature-rich
