=== debian/watch ===
version=3
https://www.lesbonscomptes.com/recoll/download.html \
(?:|.*/)recoll(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
