## recoll 1.24.1

=== debian/changelog ===
recoll (1.24.1-2) unstable; urgency=medium

  * debian/rules:
    + Fix FTBFS when built with dpkg-buildpackage -A (Closes: #900311)

 -- Kartik Mistry <kartik@debian.org>  Thu, 28 Jun 2018 17:26:02 +0530

recoll (1.24.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Removed X-Python-Version field.

 -- Kartik Mistry <kartik@debian.org>  Wed, 16 May 2018 17:04:15 +0530

recoll (1.24.0-1) unstable; urgency=low

  * New upstream release.
  * Updated upstream signing key.
  * debian/control:
    + Updated Standards-Version to 4.1.4

 -- Kartik Mistry <kartik@debian.org>  Thu, 03 May 2018 18:10:30 +0530

recoll (1.23.7-4) unstable; urgency=low

  * Upload to unstable.
  * debian/control:
    + Use https in URL.

 -- Kartik Mistry <kartik@debian.org>  Tue, 03 Apr 2018 10:45:36 +0530

recoll (1.23.7-3) experimental; urgency=low

  * debian/control:
    + Fixed version in Breaks and Replaces (Closes: #888302)

 -- Kartik Mistry <kartik@debian.org>  Fri, 26 Jan 2018 21:14:45 -0800

recoll (1.23.7-2) experimental; urgency=low

  * debian/control, debian/*.install:
    + Splited package to separate GUI and commandline programs:
      recollgui and recollcmd (Closes: #602229)
    + Updated descriptions.
  * debian/README.Debian:
    + Updated for package split.
  * debian/rules:
    + Enabled recollq (Closes: #841067)
  * Updated lintian override.
  * debian/copyright:
    + http->https in some URLs.
  * debian/watch:
    + Add upstream pgp key option.

 -- Kartik Mistry <kartik@debian.org>  Tue, 23 Jan 2018 00:17:10 +0530
