=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,9 @@
 		    --host=$(DEB_HOST_GNU_TYPE) \
 		    --build=$(DEB_BUILD_GNU_TYPE) \
 		    --mandir=\$${prefix}/share/man \
-		    --prefix=/usr
+		    --prefix=/usr \
+		    --enable-recollq \
+		    --enable-xadump
 
 build: build-arch build-indep
 build-arch: build-stamp
@@ -51,15 +53,22 @@
 	chmod +x $(CURDIR)/debian/tmp/usr/share/recoll/examples/rclmon.sh
 	chmod -x $(CURDIR)/debian/tmp/usr/share/recoll/filters/rclexec1.py
 	chmod -x $(CURDIR)/debian/tmp/usr/share/recoll/filters/rclxslt.py
+
+	#Remove .la files
 	find $(CURDIR) -type f -name '*.la' -exec rm -f '{}' \;
+
 	(cd python/recoll; python setup.py install \
-	                                   --install-layout=deb \
-	                                   --prefix=$(CURDIR)/debian/tmp/usr )
+			--install-layout=deb \
+			--prefix=$(CURDIR)/debian/tmp/usr )
 	set -e && for i in $(build3vers); do \
-	  (cd python/recoll; python$$i ./setup.py install \
-	                                   --install-layout=deb \
-	                                   --prefix=$(CURDIR)/debian/tmp/usr ) ; \
+	(cd python/recoll; python$$i ./setup.py install \
+			--install-layout=deb \
+			--prefix=$(CURDIR)/debian/tmp/usr ) ; \
 	done
+
+	# Remove unneeded files
+	rm -f $(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages/recoll/*.pyc
+	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/recoll/__pycache__/
 
 binary-arch: build install
 	dh_testdir
@@ -68,14 +77,11 @@
 	dh_installdocs README
 	dh_installman
 	dh_install --sourcedir=debian/tmp
-	dh_makeshlibs
-	dh_python2 -p python-recoll
-	dh_python3 -p python3-recoll
 	dh_link
 	dh_strip --no-automatic-dbgsym
 	dh_compress
 	dh_fixperms
-	dh_lintian
+	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
@@ -83,6 +89,21 @@
 	dh_builddeb
 
 binary-indep: build install
+	dh_testdir
+	dh_testroot
+	dh_installchangelogs ChangeLog
+	dh_installdocs README
+	dh_install --sourcedir=debian/tmp
+	dh_python2 -p python-recoll
+	dh_python3 -p python3-recoll
+	dh_link
+	dh_compress
+	dh_fixperms
+	dh_lintian
+	dh_installdeb
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
 
 binary: binary-indep binary-arch
 .PHONY: build build-arch build-indep clean binary-indep binary-arch binary install
